カスタマーサポートセンター

FAQ~よくある質問~ | FAQマスタ詳細表示

FAQ詳細情報

ID 10810570
FAQカテゴリ(大) ICE(エミュレータ)
最終更新日 2014-01-03

質問内容

TN18695: FET-firmware のアップグレードとダウングレード

回答内容

EWのターゲット : 430

 

背景
USB-FETのファームウェアが msp430.dll (この中にファームウェアのコピーがある) と適合しないと、質問が表示されます。

 

Accept it
質問には常に accept しなくてはいけません。
msp430.dll は、ファームウェアのアップグレードとダウングレードを扱っているので、ファームウェアはmsp430.dll のファームウェアで置き換えられます。

 

最新のDLLバージョン
TI のdll のペア (msp430.dll と hil.dll) は、TI からダウンロードし、 \430\bin ディレクトリにダウンロードすることができます。

ほとんどのケースでは、C-SPYとの不適合が問題になることはありません。 (MSP Debug Stack TIからの背景情報)

 

EW430 version 5.51+ と ファームウェア・ダウングレード
EW430 version 5.51.x 以降 v2 バージョンの DLL または firmwareを使用することはできません (ファームウェアのAPIが変更になったため)。FET-firmware のファームウェアを v2 に戻すには、
<EW430>\430\bin\UpdateTool -u DOWN
を使用します。


EW430 version 5.40+ と ファームウェア・ダウングレード
EW430 を 5.40 にアップグレード後、FETデバッガを EW430の古いリリースで使用しようとすると問題が起こるかも知れません。古い msp430.dll を EW430 5.40 の新しい DLLと置き換え、動かすことは可能です。もしうまく行かない場合は、430/bin ディレクトリにある V32V2.bat を使用してダウングレードしてください。詳細は下のリンクにある 5.40 のリリースノートを参照してください。

 

EW430の古いバージョン (4.xx) について重要な情報
EW430 5.10 (または以降のバージョン) を使用した後に、EW430 4.21 ( (またはそれ以降のバージョン) を使用する場合は、たぶん、ドライバの入れ替えが必要になります。このことについては、手順を含む別の側面が、テクニカルノート45523, 528727、98008で述べられています。

 

全ての製品の名前は、それぞれの所有者の商標または登録商標です。

参考資料URL